commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James Carman" <ja...@carmanconsulting.com>
Subject Re: [configuration] artifactId on the 2.x branch
Date Sun, 17 Feb 2008 00:51:23 GMT
I didn't realize that we were changing the artifact ids when we change
the package name.  I guess we're doing that because Maven2 will try to
use the latest version of a library if multiple exist as dependencies?
 I just tried a test by putting in commons-collections 3.1 and 3.2 as
dependencies.  When I listed the dependencies (using the maven
plugin), I only see 3.2.  So, I guess we have to change the artifact
id too.


On 2/16/08, Emmanuel Bourg <ebourg@apache.org> wrote:
> I noticed that the artifactId changed to commons-configuration2 on the
> 2.x branch. Is it necessary to change it? Couldn't we keep
> commons-configuration since the groupId has already changed to
> org.apache.commons?
>
> Emmanuel Bourg
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
> For additional commands, e-mail: dev-help@commons.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message